/**
 * @file register.cpp
 * @author Keith Holman
 * @date Created: Tuesday, October 14, 2008
 *
 * @brief Registers the atomic models with the simulator
 */

/* for SingleModelAdm & NewAtomicFunction */
#include "modeladm.h"
#include "mainsimu.h"

#include "engager.h"
#include "queue.h"
#include "planner.h"
#include "motor.h"
#include "translator.h"

void MainSimulator::registerNewAtomics()
{
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Engager>(), "Engager" );
  SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Queue>(), "Queue" );
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Planner>(), "Planner" );
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Motor>(), "Motor" );
  SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Translator>(), "Translator" );
}
